import { ComponentProps } from "react"

type Props = ComponentProps<"svg">

const CreatorIcon = ({ ...props }: Props) => {
    return (
        <svg width="16" height="17" viewBox="0 0 16 17" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
            <path d="M8 15.426C11.8623 15.426 15.0615 12.2336 15.0615 8.36444C15.0615 4.50214 11.8623 1.30292 7.99316 1.30292C4.13086 1.30292 0.938477 4.50214 0.938477 8.36444C0.938477 12.2336 4.1377 15.426 8 15.426ZM8 10.7229C6.05176 10.7229 4.54785 11.4133 3.83008 12.2131C2.90039 11.2082 2.33301 9.85468 2.33301 8.36444C2.33301 5.21991 4.84863 2.69745 7.99316 2.69745C11.1377 2.69745 13.6738 5.21991 13.6738 8.36444C13.6738 9.85468 13.1064 11.2082 12.1699 12.2131C11.4521 11.4133 9.94824 10.7229 8 10.7229ZM8 9.60175C9.32617 9.60858 10.3516 8.48065 10.3516 7.01093C10.3516 5.63007 9.31934 4.48163 8 4.48163C6.6875 4.48163 5.6416 5.63007 5.64844 7.01093C5.65527 8.48065 6.68066 9.58808 8 9.60175Z" fill="#37352F" fillOpacity="0.45" />
        </svg>

    )
}

export default CreatorIcon